Skip to main content
POST
Create Organization Member By Email

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<uuid> | null
required

Query Parameters

resource_id
string<uuid> | null
source_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Body

application/json
email
string
required
role
string
required

Response

Successful Response

id
string<uuid>
required
organization_id
string<uuid>
required
user_id
string<uuid>
required
role
enum<string>
required
Available options:
SYSTEM_ADMIN,
ORGANIZATION_ADMIN,
ANALYST
membership_state
enum<string>
required
Available options:
active,
pending,
suspended
created_at
string<date-time>
required
updated_at
string<date-time>
required
user
UserResponse · object | null